#include <dbobj.h>
namespace {

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_afi[] = {
	{ "Angola", "FN" },
	{ "Ascension Island (United Kingdom)", "FH" },
	{ "Benin", "DB" },
	{ "Botswana", "FB" },
	{ "British Indian Ocean Territory (United Kingdom)", "FJ" },
	{ "Burkina Faso", "DF" },
	{ "Burundi", "HB" },
	{ "Cameroon", "FK" },
	{ "Cape Verde", "GV" },
	{ "Central African Republic", "FE" },
	{ "Chad", "FT" },
	{ "Comoros", "FM" },
	{ "Congo", "FC" },
	{ "Côte d'Ivoire", "DI" },
	{ "Democratic Republic of the Congo", "FZ" },
	{ "Djibouti", "HD" },
	{ "Equatorial Guinea", "FG" },
	{ "Eritrea", "HH" },
	{ "Ethiopia", "HA" },
	{ "Gabon", "FO" },
	{ "Gambia", "GB" },
	{ "Ghana", "DG" },
	{ "Guinea", "GU" },
	{ "Guinea-Bissau", "GG" },
	{ "Kenya", "HK" },
	{ "Lesotho", "FX" },
	{ "Liberia", "GL" },
	{ "Madagascar", "FM" },
	{ "Malawi", "FW" },
	{ "Mali", "GA" },
	{ "Mauritania", "GQ" },
	{ "Mauritius", "FI" },
	{ "Mozambique", "FQ" },
	{ "Namibia", "FY" },
	{ "Niger", "DR" },
	{ "Nigeria", "DN" },
	{ "Réunion (France)", "FM" },
	{ "Rwanda", "HR" },
	{ "Sao Tome and Principe", "FP" },
	{ "Senegal", "GO" },
	{ "Seychelles", "FS" },
	{ "Sierra Leone", "GF" },
	{ "Somalia", "HC" },
	{ "South Africa", "FA" },
	{ "Swaziland", "FD" },
	{ "Togo", "DX" },
	{ "Uganda", "HU" },
	{ "United Republic of Tanzania", "HT" },
	{ "Western Sahara", "GS" },
	{ "Zambia", "FL" },
	{ "Zimbabwe", "FV" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_asiapac[] = {
	{ "Afghanistan", "OA" },
	{ "Alaska (United States)", "PA" },
	{ "Alaska (United States)", "PF" },
	{ "Alaska (United States)", "PO" },
	{ "Alaska (United States)", "PP" },
	{ "American Samoa (United States)", "NS" },
	{ "Australia", "YA" },
	{ "Australia", "YB" },
	{ "Australia", "YC" },
	{ "Australia", "YD" },
	{ "Australia", "YE" },
	{ "Australia", "YF" },
	{ "Australia", "YG" },
	{ "Australia", "YH" },
	{ "Australia", "YI" },
	{ "Australia", "YJ" },
	{ "Australia", "YK" },
	{ "Australia", "YK" },
	{ "Australia", "YL" },
	{ "Australia", "YL" },
	{ "Australia", "YM" },
	{ "Australia", "YN" },
	{ "Australia", "YO" },
	{ "Australia", "YP" },
	{ "Australia", "YQ" },
	{ "Australia", "YR" },
	{ "Australia", "YS" },
	{ "Australia", "YT" },
	{ "Australia", "YU" },
	{ "Australia", "YV" },
	{ "Australia", "YW" },
	{ "Australia", "YY" },
	{ "Bangladesh", "VG" },
	{ "Bhutan", "VQ" },
	{ "Brunei Darussalam", "WB" },
	{ "Cambodia", "VD" },
	{ "China", "RC" },
	{ "China", "ZB" },
	{ "China", "ZG" },
	{ "China", "ZH" },
	{ "China", "ZJ" },
	{ "China", "ZL" },
	{ "China", "ZP" },
	{ "China", "ZS" },
	{ "China", "ZU" },
	{ "China", "ZW" },
	{ "China", "ZY" },
	{ "Cook Islands", "NC" },
	{ "Democratic People's Republic of Korea", "ZK" },
	{ "Fiji", "NF" },
	{ "French Polynesia (France)", "NT" },
	{ "Hawaii (United States)", "PH" },
	{ "Hong Kong, China (China)", "VH" },
	{ "India", "VA" },
	{ "India", "VE" },
	{ "India", "VI" },
	{ "India", "VO" },
	{ "Indonesia", "WA" },
	{ "Indonesia", "WI" },
	{ "Indonesia", "WR" },
	{ "Japan", "RJ" },
	{ "Japan", "RO" },
	{ "Johnston Island (United States)", "PJ" },
	{ "Kiribati", "NG" },
	{ "Kiribati", "PL" },
	{ "Lao People's Democratic Republic", "VL" },
	{ "Line Islands (United States)", "PL" },
	{ "Macao, China (China)", "VM" },
	{ "Malaysia", "WB" },
	{ "Malaysia (Peninsular) (Malaysia)", "WM" },
	{ "Maldives", "VR" },
	{ "Marshall Islands", "PK" },
	{ "Micronesia (Federated States of)", "PT" },
	{ "Midway (United States)", "PM" },
	{ "Mongolia", "ZM" },
	{ "Myanmar", "VY" },
	{ "Nauru", "AN" },
	{ "Nepal", "VN" },
	{ "New Caledonia (France)", "NW" },
	{ "New Zealand", "NZ" },
	{ "Niue (New Zealand)", "NI" },
	{ "Northern Mariana Islands (United States)", "PG" },
	{ "Pakistan", "OP" },
	{ "Palau", "PT" },
	{ "Papua New Guinea", "AY" },
	{ "Philippines", "RP" },
	{ "Republic of Korea", "RK" },
	{ "Samoa", "NS" },
	{ "Singapore", "WS" },
	{ "Solomon Islands", "AG" },
	{ "Sri Lanka", "VC" },
	{ "Thailand", "VT" },
	{ "Timor-Leste", "WP" },
	{ "Tonga", "NF" },
	{ "Tuvalu", "NG" },
	{ "Vanuatu", "NV" },
	{ "Viet Nam", "VV" },
	{ "Wake Island (United States)", "PW" },
	{ "Wallis and Futuna Islands (France)", "NL" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_carsam[] = {
	{ "Anguilla (United Kingdom)", "TQ" },
	{ "Antigua and Barbuda", "TA" },
	{ "Argentina", "SA" },
	{ "Aruba (Netherlands)", "TN" },
	{ "Bahamas", "MY" },
	{ "Barbados", "TB" },
	{ "Belize", "MZ" },
	{ "Bolivia", "SL" },
	{ "Bonaire (Netherlands)", "TN" },
	{ "Brazil", "SB" },
	{ "British Virgin Islands (United Kingdom)", "TU" },
	{ "Cayman Islands (United Kingdom)", "MW" },
	{ "Chile", "SC" },
	{ "Chile", "SH" },
	{ "Colombia", "SK" },
	{ "Costa Rica", "MR" },
	{ "Cuba", "MU" },
	{ "Curaçao (Netherlands)", "TN" },
	{ "Dominica", "TD" },
	{ "Dominican Republic", "MD" },
	{ "Ecuador", "SE" },
	{ "El Salvador", "MS" },
	{ "Falkland Islands (Malvinas) (United Kingdom)", "SF" },
	{ "French Antilles (France)", "TF" },
	{ "French Guiana (France)", "SO" },
	{ "Grenada", "TG" },
	{ "Guatemala", "MG" },
	{ "Guyana", "SY" },
	{ "Haiti", "MT" },
	{ "Honduras", "MH" },
	{ "Jamaica", "MK" },
	{ "Mexico", "MM" },
	{ "Montserrat (United Kingdom)", "TR" },
	{ "Nicaragua", "MN" },
	{ "Panama", "MP" },
	{ "Paraguay", "SG" },
	{ "Peru", "SP" },
	{ "Puerto Rico (United States)", "TJ" },
	{ "Saba (Netherlands)", "TN" },
	{ "Saint Kitts and Nevis", "TK" },
	{ "Saint Lucia", "TL" },
	{ "Saint Vincent and the Grenadines", "TV" },
	{ "Sint Eustatius (Netherlands)", "TN" },
	{ "Sint Maarten (Netherlands)", "TN" },
	{ "Suriname", "SM" },
	{ "Trinidad and Tobago", "TT" },
	{ "Turks and Caicos Islands (United Kingdom)", "MB" },
	{ "Uruguay", "SU" },
	{ "Venezuela (Bolivarian Republic of)", "SV" },
	{ "Virgin Islands (United States)", "TI" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_eur[] = {
	{ "Albania", "LA" },
	{ "Algeria", "DA" },
	{ "Areas Under The Control Of The Palestinian Authority", "LV" },
	{ "Armenia", "UD" },
	{ "Austria", "LO" },
	{ "Azerbaijan", "UB" },
	{ "Belarus", "UM" },
	{ "Belgium", "EB" },
	{ "Bosnia and Herzegovina", "LQ" },
	{ "Bulgaria", "LB" },
	{ "Canary Islands (Spain)", "GC" },
	{ "Croatia", "LD" },
	{ "Cyprus", "LC" },
	{ "Czech Republic", "LK" },
	{ "Denmark", "EK" },
	{ "Estonia", "EE" },
	{ "Finland", "EF" },
	{ "France", "LF" },
	{ "Georgia", "UG" },
	{ "Germany", "ED" },
	{ "Germany", "ET" },
	{ "Gibraltar (United Kingdom)", "LX" },
	{ "Greece", "LG" },
	{ "Hungary", "LH" },
	{ "Ireland", "EI" },
	{ "Israel", "LL" },
	{ "Italy", "LI" },
	{ "Kazakhstan", "UA" },
	{ "Kyrgyzstan", "UC" },
	{ "Latvia", "EV" },
	{ "Lithuania", "EY" },
	{ "Luxembourg", "EL" },
	{ "Malta", "LM" },
	{ "Monaco", "LN" },
	{ "Montenegro", "LY" },
	{ "Morocco", "GM" },
	{ "Netherlands", "EH" },
	{ "Norway", "EN" },
	{ "Poland", "EP" },
	{ "Portugal (Madeira and Azores) (PORTUGAL)", "LP" },
	{ "Republic of Moldova", "LU" },
	{ "Romania", "LR" },
	{ "Russian Federation", "UE" },
	{ "Russian Federation", "UH" },
	{ "Russian Federation", "UI" },
	{ "Russian Federation", "UL" },
	{ "Russian Federation", "UM" },
	{ "Russian Federation", "UN" },
	{ "Russian Federation", "UO" },
	{ "Russian Federation", "UR" },
	{ "Russian Federation", "US" },
	{ "Russian Federation", "UU" },
	{ "Russian Federation", "UW" },
	{ "Saint-Pierre-et-Miquelon (France)", "LF" },
	{ "Serbia", "LY" },
	{ "Slovakia", "LZ" },
	{ "Slovenia", "LJ" },
	{ "Spain", "GE" },
	{ "Spain", "LE" },
	{ "Sweden", "ES" },
	{ "Switzerland", "LS" },
	{ "Tajikistan", "UT" },
	{ "The Former Yugoslav Republic of Macedonia", "LW" },
	{ "Tunisia", "DT" },
	{ "Turkey", "LT" },
	{ "Turkmenistan", "UT" },
	{ "Ukraine", "UK" },
	{ "United Kingdom", "EG" },
	{ "Uzbekistan", "UT" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_mid[] = {
	{ "Bahrain", "OB" },
	{ "Egypt", "HE" },
	{ "Iran (Islamic Republic of)", "OI" },
	{ "Iraq", "OR" },
	{ "Jordan", "OJ" },
	{ "Kuwait", "OK" },
	{ "Lebanon", "OL" },
	{ "Libya", "HL" },
	{ "Oman", "OO" },
	{ "Qatar", "OT" },
	{ "Saudi Arabia", "OE" },
	{ "South Sudan", "HS" },
	{ "Sudan", "HS" },
	{ "Syrian Arab Republic", "OS" },
	{ "United Arab Emirates", "OM" },
	{ "Yemen", "OY" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_nam[] = {
	{ "Canada", "CU" },
	{ "Canada", "CW" },
	{ "Canada", "CY" },
	{ "Canada", "CZ" },
	{ "United States", "KA" },
	{ "United States", "KB" },
	{ "United States", "KC" },
	{ "United States", "KD" },
	{ "United States", "KE" },
	{ "United States", "KF" },
	{ "United States", "KG" },
	{ "United States", "KH" },
	{ "United States", "KI" },
	{ "United States", "KJ" },
	{ "United States", "KL" },
	{ "United States", "KM" },
	{ "United States", "KN" },
	{ "United States", "KO" },
	{ "United States", "KP" },
	{ "United States", "KR" },
	{ "United States", "KS" },
	{ "United States", "KT" },
	{ "United States", "KU" },
	{ "United States", "KV" },
	{ "United States", "KW" },
	{ "United States", "KX" },
	{ "United States", "KY" },
	{ "United States", "KZ" },
	{ 0, 0 }
};

static const DbBaseElements::Airspace::IcaoRegion::Country icaoregion_nat[] = {
	{ "Bermuda (United Kingdom)", "TX" },
	{ "Greenland (Denmark)", "BG" },
	{ "Iceland", "BI" },
	{ "United Nations Interim Administration Mission in Kosovo (UNMIK)", "BK" },
	{ 0, 0 }
};

};

const DbBaseElements::Airspace::IcaoRegion DbBaseElements::Airspace::icao_regions[] = {
	{ "AFI", icaoregion_afi },
	{ "ASIAPAC", icaoregion_asiapac },
	{ "CARSAM", icaoregion_carsam },
	{ "EUR", icaoregion_eur },
	{ "MID", icaoregion_mid },
	{ "NAM", icaoregion_nam },
	{ "NAT", icaoregion_nat },
	{ 0, 0 }
};
